package com.palmnest.service.notice;

import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.output.MobileConfigDto;
import com.palmnest.model.notice.MobileConfigModel;
import com.palmnest.service.GenericManager;

import java.util.List;

/**
 * Created by HIAPAD on 2018/9/11.
 */
public interface MobileConfigManager extends GenericManager<MobileConfigModel, Long> {

	public String saveOrUpdate(MobileConfigModel emailConfigModel);

	public Page getMobileConfigList(String orgIds, int pageNo, int pageSize) throws Exception;

	public List<MobileConfigModel> getMobileConfigList(String orgIds) throws Exception;

	public MobileConfigDto convertToDto(MobileConfigModel emailConfigModel);
}
